Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | List of all members
eZContentObjectPackageCreator Class Reference
The package manager system

A package creator for content objects. More...

Inheritance diagram for eZContentObjectPackageCreator:

## Public Member Functions
| __construct ( $id)
| finalize (&$package, $http, &$persistentData)
| packageInitialState ( $package, &$persistentData)
| packageType ( $package, &$persistentData)
| initializeObjectList ( $package, $http, $step, &$persistentData, $tpl)
| loadObjectList ( $package, $http, $step, &$persistentData, $tpl, &$module)
| validateObjectList ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| initializeObjectLimits ( $package, $http, $step, &$persistentData, $tpl)
| loadObjectLimits ( $package, $http, $step, &$persistentData, $tpl, &$module)
| validateObjectLimits ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| generatePackageInformation (&$packageInformation, $package, $http, $step, &$persistentData)
Public Member Functions inherited from eZPackageCreationHandler
| __construct ( $id, $name, $steps)
| generateStepMap ( $package, &$persistentData)
| attributes ()
| hasAttribute ( $name)
| attribute ( $name)
| initializeStepMethodMap ()
| loadStepMethodMap ()
| validateStepMethodMap ()
| commitStepMethodMap ()
& | stepMap ()
| stepTemplate ( $step)
| initializeStep ( $package, $http, $step, &$persistentData, $tpl)
| loadStep ( $package, $http, $currentStepID, &$persistentData, $tpl, &$module)
| validateStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| validateAndAdvanceStep ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitStep ( $package, $http, $step, &$persistentData, $tpl)
| packageInstallType ( $package, &$persistentData)
| initialChangelogEntry ( $package, $http, $step, &$persistentData, $tpl)
| createPackage (&$package, $http, &$persistentData, &$cleanupFiles, $storePackage=true)
| initializePackageInformation ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageInformation ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageInformation ( $package, $http, $step, &$persistentData, $tpl)
| initializePackageChangelog ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageChangelog ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageChangelog ( $package, $http, $step, &$persistentData, $tpl)
| initializePackageMaintainer ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageMaintainer ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageMaintainer ( $package, $http, $step, &$persistentData, $tpl)
| checkPackageMaintainer ( $package, &$persistentData)
| initializePackageThumbnail ( $package, $http, $step, &$persistentData, $tpl)
| validatePackageThumbnail ( $package, $http, $currentStepID, &$stepMap, &$persistentData, &$errorList)
| commitPackageThumbnail ( $package, $http, $step, &$persistentData, $tpl)

## Additional Inherited Members
Static Public Member Functions inherited from eZPackageCreationHandler
static | creatorLimitationList ()
static & | creatorList ( $checkRoles=false)
static | instance ( $handlerName)
| packageInformationStep ()
| packageMaintainerStep ()
| packageChangelogStep ()
| packageThumbnailStep ()
static | httpFileIsImage ( $httpFileName, &$errorList)
static | appendLicence ( $package)
Public Attributes inherited from eZPackageCreationHandler
| $Attributes
| $InitializeStepMethodMap
| $ValidateStepMethodMap
| $CommitStepMethodMap
| $LoadStepMethodMap
| $StepMap

## Detailed Description

A package creator for content objects.

Definition at line 17 of file ezcontentobjectpackagecreator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContentObjectPackageCreator::__construct | ( |  | $id | ) |

Definition at line 19 of file ezcontentobjectpackagecreator.php.

References eZPackageCreationHandler\packageChangelogStep(), eZPackageCreationHandler\packageInformationStep(), eZPackageCreationHandler\packageMaintainerStep(), and ezpI18n\tr().

## Member Function Documentation

## ◆ finalize()

eZContentObjectPackageCreator::finalize | ( | & | $package,
|  |  | $http,
|  | & | $persistentData
| ) |  |

Creates the package and adds the selected content classes.

Reimplemented from eZPackageCreationHandler.

Definition at line 43 of file ezcontentobjectpackagecreator.php.

References eZPackageCreationHandler\createPackage(), and eZPackage\packageHandler().

## ◆ generatePackageInformation()

eZContentObjectPackageCreator::generatePackageInformation | ( | & | $packageInformation,
|  |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData
| ) |  |

Fetches the selected content classes and generates a name, summary and description from the selection.

Reimplemented from eZPackageCreationHandler.

Definition at line 233 of file ezcontentobjectpackagecreator.php.

References eZContentObjectTreeNode\fetch().

## ◆ initializeObjectLimits()

eZContentObjectPackageCreator::initializeObjectLimits | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 156 of file ezcontentobjectpackagecreator.php.

References eZContentObject\translationList().

## ◆ initializeObjectList()

eZContentObjectPackageCreator::initializeObjectList | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl
| ) |  |

Definition at line 77 of file ezcontentobjectpackagecreator.php.

## ◆ loadObjectLimits()

eZContentObjectPackageCreator::loadObjectLimits | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl,
|  | & | $module
| ) |  |

Definition at line 177 of file ezcontentobjectpackagecreator.php.

References eZContentObject\translationList().

## ◆ loadObjectList()

eZContentObjectPackageCreator::loadObjectList | ( |  | $package,
|  |  | $http,
|  |  | $step,
|  | & | $persistentData,
|  |  | $tpl,
|  | & | $module
| ) |  |

Definition at line 82 of file ezcontentobjectpackagecreator.php.

References eZContentBrowse\browse().

## ◆ packageInitialState()

eZContentObjectPackageCreator::packageInitialState | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns `'stable'`, content class packages are always stable.

Reimplemented from eZPackageCreationHandler.

Definition at line 64 of file ezcontentobjectpackagecreator.php.

## ◆ packageType()

eZContentObjectPackageCreator::packageType | ( |  | $package,
|  | & | $persistentData
| ) |  |

Returns
  `'contentclass'`.

Reimplemented from eZPackageCreationHandler.

Definition at line 72 of file ezcontentobjectpackagecreator.php.

## ◆ validateObjectLimits()

eZContentObjectPackageCreator::validateObjectLimits | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Checks if at least one content class has been selected.

Definition at line 198 of file ezcontentobjectpackagecreator.php.

References ezpI18n\tr().

## ◆ validateObjectList()

eZContentObjectPackageCreator::validateObjectList | ( |  | $package,
|  |  | $http,
|  |  | $currentStepID,
|  | & | $stepMap,
|  | & | $persistentData,
|  | & | $errorList
| ) |  |

Checks if at least one content class has been selected.

Definition at line 144 of file ezcontentobjectpackagecreator.php.

References ezpI18n\tr().

The documentation for this class was generated from the following file:

- ezcontentobjectpackagecreator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.